% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NearbyPeaksValleys.R
\name{nearbypeakvalleys}
\alias{nearbypeakvalleys}
\title{Nearby Peaks and Valleys Function}
\usage{
nearbypeakvalleys(
  values = peaks,
  lowerCI = lowerboundvcfx,
  upperCI = upperboundvcfx,
  timepred = timepred,
  updown = 1,
  j = j,
  predictionsend = predictionsend
)
}
\arguments{
\item{values}{This is the vector of peaks or valleys to investigate}

\item{lowerCI}{The lower confidence interval of the variable of interest}

\item{upperCI}{The upper confidence interval of the variable of interest}

\item{timepred}{This is the time prediction values from the start to the end of the predictions in intervals dictated by the intervals}

\item{updown}{This tells the function whether to look up for the nearby values or down (1 for up, -1 for down)}

\item{j}{This tells the function which variable is being investigated}

\item{predictionsend}{The end of the time predictions}
}
\value{
The output of this function will be a vector of nearby peaks or valleys that are not significantly different from the inputted values
}
\description{
Looks for values that are nearby the peaks and valleys and are not significantly different. Note that all values should be specified, no values should be left to the defaults.
}
